.\" Process this file with
.\" groff -man -Tascii foo.1
.\"
.TH SAMPLE_LOAD n "OCTOBER 2000" Linux "User Manuals"
.SH NAME
sample_load \- a load logging and controlling deamon
.SH SYNOPSIS
.B sample_load [-n x] [-d
.I "..."
.B ] [-dsql] [-m
.I x
.B ] [-u] [-a] [-b] [-km
.I x
.B ] [-kl
.I x
.B ] [-l
.I x
.B ] [-f] -o
.I file
.B /
.I -
.B -i
.I x 
.SH DESCRIPTION
.B sample_load
is a load logger. Handy when trying to find out why your system goes down.
.SH OPTIONS
.IP -n x
Number of samples to keep in memory before writing to file.
.IP -d "..."
Date/time format-string; 'man 3 strftime' for specification of format.
.IP -dsql
Will generate SQL-statements for feeding to database. Also selects -u and -b. Will also disable anything specified with -d "...".
.IP -m x
Specifies at what load this application should terminate. Omit to disable this feature.
.IP -u
Log memory- & swap-usage.
.IP -a
Write memory-amounts as KB/MB/GB (for '-u' option).
.IP -b
Log username+pid+cmdline of the process that used the most CPU time in the last interval.
.IP -km x
Kill processes using more then 'x' B/KB/MB/GB (B for byte is optional).
.IP -kl x
Kill processes using more then 'x' % of CPU time in the sample interval (use with care!).
.IP -o "..."
File to write to (you MUST specify a filename!). Use '-' for console.
.IP -i x
Sample interval.
.IP -l x
Minimum load to store data.
.IP -f
Run as a background-process.
.SH MISC
SQL-Statement for creating table in database for '-dsql'-option.

.B CREATE TABLE load_log(time_stamp timestamp not null, system_load float(3,5) not null, physical_mem int(8), swap_mem int(8), proc_id int(5), proc_name varchar(255), proc_cpu_usage_percentage float(4,3), primary key (time_stamp));
.SH EXAMPLE
.B ./sample_load -n 100 -m 15.0 -u -o /tmp/load.log -i 60 -l 0.0 -d "%m-%d-%Y %H:%M:%S"

Buffers 100 samples, exit when load reaches 15.0, logs memory usage, writes to /tmp/load.log, takes a sample every 60 seconds when the load is 0.0. Format of timestamp is month-day-year hour:minute:seconds.

.B kill -HUP {sample_load PID}

flushes the buffered data
.SH BUGS
The program is not monkey-proof. But then; it won't run under microsoft products anyway.
The man-page layout sucks.
.SH AUTHOR
Folkert van Heusden (folkert@vanheusden.com)
.SH "SEE ALSO" http://www.vanheusden.com/Linux/sample_load.php3
